// Arguments of AlphaCalibration
//    h2         : x: SSD fID, y: raw ADC channel
//    foutpath   : output parameter file path after prm/.
//               : NOTE: "telx/ch2MeV_dEX.dat", "telx/ch2MeV_dEY.dat", "telx/ch2MeV_E.dat" NEEDED
//    alphaID    : 2: alpha-2(4.780, 5.480, 5.795), 3: alpha-3(3.148, 5.462, 5.771)
//    width      : fitting width

void run_AlphaCalibration() {
    const TString ARTEMIS_WORKDIR = gSystem->pwd();

    gROOT->ProcessLine("fcd 0");
    gROOT->ProcessLine("zone");

    gStyle->SetOptStat(0);

    // tel1 dEX: run0020, alpha-2
    // gROOT->ProcessLine("tree->Draw(\"tel1dEX_raw.fCharge:tel1dEX_raw.fID>>h11(16,-0.5,15.5, 200,3500.,5500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h11, \"tel1/ch2MeV_dEX.dat\",2,30.)");
    // gROOT->ProcessLine("tree->Draw(\"tel1dEX_cal.fCharge:tel1dEX_cal.fID>>h16(16,-0.5,15.5, 200,4.,6.)\",\"\",\"colz\")");
    // gROOT->ProcessLine("lgz");
    // gROOT->ProcessLine("artcanvas->Print(\"" + ARTEMIS_WORKDIR + "/figure/calib/tel1/ch2MeV_dEX/all_cal.png\")");

    // tel1 dEY: run0020, alpha-2
    // gROOT->ProcessLine("tree->Draw(\"tel1dEY_raw.fCharge:tel1dEY_raw.fID>>h12(16,-0.5,15.5, 300,3500.,6000.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h12, \"tel1/ch2MeV_dEY.dat\",2,30.)");
    // gROOT->ProcessLine("tree->Draw(\"tel1dEY_cal.fCharge:tel1dEY_cal.fID>>h17(16,-0.5,15.5, 200,4.,6.)\",\"\",\"colz\")");
    // gROOT->ProcessLine("lgz");
    // gROOT->ProcessLine("artcanvas->Print(\"" + ARTEMIS_WORKDIR + "/figure/calib/tel1/ch2MeV_dEY/all_cal.png\")");

    // tel2 dEX: run0020, alpha-2
    // gROOT->ProcessLine("tree->Draw(\"tel2dEX_cal.fCharge:tel2dEX_cal.fID>>h21(16,-0.5,15.5, 300,4500.,6000.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h21, \"tel2/ch2MeV_dEX.dat\",2,30.)");
    // gROOT->ProcessLine("tree->Draw(\"tel2dEX_cal.fCharge:tel2dEX_cal.fID>>h26(16,-0.5,15.5, 200,4.,6.)\",\"\",\"colz\")");
    // gROOT->ProcessLine("lgz");
    // gROOT->ProcessLine("artcanvas->Print(\"" + ARTEMIS_WORKDIR + "/figure/calib/tel2/ch2MeV_dEX/all_cal.png\")");

    // tel2 dEY: run0020, alpha-2
    // gROOT->ProcessLine("tree->Draw(\"tel2dEY_cal.fCharge:tel2dEY_cal.fID>>h22(16,-0.5,15.5, 300,4500.,6000.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h22, \"tel2/ch2MeV_dEY.dat\",2,30.)");
    // gROOT->ProcessLine("tree->Draw(\"tel2dEY_cal.fCharge:tel2dEY_cal.fID>>h27(16,-0.5,15.5, 200,4.,6.)\",\"\",\"colz\")");
    // gROOT->ProcessLine("lgz");
    // gROOT->ProcessLine("artcanvas->Print(\"" + ARTEMIS_WORKDIR + "/figure/calib/tel2/ch2MeV_dEY/all_cal.png\")");

    // tel3 dEX: run0029, alpha-3
    // gROOT->ProcessLine("tree->Draw(\"tel3dEX_cal.fCharge:tel3dEX_cal.fID>>h31(16,-0.5,15.5, 500,2000.,6000.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h31, \"tel3/ch2MeV_dEX.dat\",3,30.)");
    // gROOT->ProcessLine("tree->Draw(\"tel3dEX_cal.fCharge:tel3dEX_cal.fID>>h36(16,-0.5,15.5, 300,2.,6.)\",\"\",\"colz\")");
    // gROOT->ProcessLine("lgz");
    // gROOT->ProcessLine("artcanvas->Print(\"" + ARTEMIS_WORKDIR + "/figure/calib/tel3/ch2MeV_dEX/all_cal.png\")");

    // tel3 dEY: run0029, alpha-3
    // gROOT->ProcessLine("tree->Draw(\"tel3dEY_cal.fCharge:tel3dEY_cal.fID>>h32(16,-0.5,15.5, 300,2000.,6000.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h32, \"tel3/ch2MeV_dEY.dat\",3,30.)");
    // gROOT->ProcessLine("tree->Draw(\"tel3dEY_cal.fCharge:tel3dEY_cal.fID>>h37(16,-0.5,15.5, 300,2.,6.)\",\"\",\"colz\")");
    // gROOT->ProcessLine("lgz");
    // gROOT->ProcessLine("artcanvas->Print(\"" + ARTEMIS_WORKDIR + "/figure/calib/tel3/ch2MeV_dEY/all_cal.png\")");

    // tel4 dEX: run0021, alpha-3
    // gROOT->ProcessLine("tree->Draw(\"tel4dEX_raw.fCharge:tel4dEX_raw.fID>>h41(16,-0.5,15.5, 300,500.,3500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h41, \"tel4/ch2MeV_dEX.dat\",3,20.)");
    // gROOT->ProcessLine("tree->Draw(\"tel4dEX_cal.fCharge:tel4dEX_cal.fID>>h47(16,-0.5,15.5, 200,2.,6.)\",\"\",\"colz\")");
    // gROOT->ProcessLine("lgz");
    // gROOT->ProcessLine("artcanvas->Print(\"" + ARTEMIS_WORKDIR + "/figure/calib/tel4/ch2MeV_dEX/all_cal.png\")");

    // tel4 dEY: run0021, alpha-3
    // gROOT->ProcessLine("tree->Draw(\"tel4dEY_raw.fCharge:tel4dEY_raw.fID>>h42(16,-0.5,15.5, 300,500.,3500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h42, \"tel4/ch2MeV_dEY.dat\",3,20.)");
    // gROOT->ProcessLine("tree->Draw(\"tel4dEY_cal.fCharge:tel4dEY_cal.fID>>h48(16,-0.5,15.5, 200,2.,6.)\",\"\",\"colz\")");
    // gROOT->ProcessLine("lgz");
    // gROOT->ProcessLine("artcanvas->Print(\"" + ARTEMIS_WORKDIR + "/figure/calib/tel4/ch2MeV_dEY/all_cal.png\")");

    // tel5 dEX: run0021, alpha-2
    // gROOT->ProcessLine("tree->Draw(\"tel5dEX_raw.fCharge:tel5dEX_raw.fID>>h51(16,-0.5,15.5, 300,500.,3500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h51, \"tel5/ch2MeV_dEX.dat\",2,20.)");
    // gROOT->ProcessLine("tree->Draw(\"tel5dEX_cal.fCharge:tel5dEX_cal.fID>>h57(16,-0.5,15.5, 200,3.,6.)\",\"\",\"colz\")");
    // gROOT->ProcessLine("lgz");
    // gROOT->ProcessLine("artcanvas->Print(\"" + ARTEMIS_WORKDIR + "/figure/calib/tel5/ch2MeV_dEX/all_cal.png\")");

    // tel5 dEY: run0021, alpha-2
    // gROOT->ProcessLine("tree->Draw(\"tel5dEY_raw.fCharge:tel5dEY_raw.fID>>h52(16,-0.5,15.5, 300,500.,3500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h52, \"tel5/ch2MeV_dEY.dat\",2,20.)");
    // gROOT->ProcessLine("tree->Draw(\"tel5dEY_cal.fCharge:tel5dEY_cal.fID>>h58(16,-0.5,15.5, 200,3.,6.)\",\"\",\"colz\")");
    // gROOT->ProcessLine("lgz");
    // gROOT->ProcessLine("artcanvas->Print(\"" + ARTEMIS_WORKDIR + "/figure/calib/tel5/ch2MeV_dEY/all_cal.png\")");

    //==========================================
    // ch1 -> tel2 Ec, run0005
    // gROOT->ProcessLine("tree->Draw(\"SSD_raw_1.fCharge:SSD_raw_1.fID>>h0(1,-0.5,0.5, 150,600.,1500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h0, \"tel2/ch2MeV_Ec.dat\",3,30.)");

    // ch1 -> tel1 Eb, run0004
    // gROOT->ProcessLine("tree->Draw(\"SSD_raw_1.fCharge:SSD_raw_1.fID>>h1(1,-0.5,0.5, 150,600.,1500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h1, \"tel1/ch2MeV_Eb.dat\",3,30.)");

    // ch2 -> tel2 Eb, run0004
    // gROOT->ProcessLine("tree->Draw(\"SSD_raw_2.fCharge:SSD_raw_2.fID>>h2(1,-0.5,0.5, 90,800.,1500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h2, \"tel2/ch2MeV_Eb.dat\",2,25.)");

    // ch3 -> tel1 Ec, run0004
    // gROOT->ProcessLine("tree->Draw(\"SSD_raw_3.fCharge:SSD_raw_3.fID>>h3(1,-0.5,0.5, 90,800.,1500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h3, \"tel1/ch2MeV_Ec.dat\",2,25.)");

    // ch4 -> tel3 Eb, run0004
    // gROOT->ProcessLine("tree->Draw(\"SSD_raw_4.fCharge:SSD_raw_4.fID>>h4(1,-0.5,0.5, 150,600.,1500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h4, \"tel3/ch2MeV_Eb.dat\",3,25.)");

    // ch5 -> tel3 Ec, run0004
    // gROOT->ProcessLine("tree->Draw(\"SSD_raw_5.fCharge:SSD_raw_5.fID>>h5(1,-0.5,0.5, 150,600.,1500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h5, \"tel3/ch2MeV_Ec.dat\",3,25.)");

    // ch6 -> tel4 Eb, run0004
    // gROOT->ProcessLine("tree->Draw(\"SSD_raw_6.fCharge:SSD_raw_6.fID>>h6(1,-0.5,0.5, 90,800.,1500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h6, \"tel4/ch2MeV_Eb.dat\",2,25.)");

    // ch7 -> tel5 Eb, run0004
    // gROOT->ProcessLine("tree->Draw(\"SSD_raw_7.fCharge:SSD_raw_7.fID>>h7(1,-0.5,0.5, 90,800.,1500.)\",\"\",\"colz\")");
    // gROOT->ProcessLine(".x " + ARTEMIS_WORKDIR + "/macro/AlphaCalibration.C(h7, \"tel5/ch2MeV_Eb.dat\",2,25.)");
}
